Subject: bug#21505: 24.4; Buffer order

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Sep 2015 08:17:12 +0300

> From: hoppe <[email-masked]>
> Date: Wed, 16 Sep 2015 22:57:07 -0400
> 
> Let's say I have a Linux directory that looks like
> 
> -rw-r--r-- 1 hooked se 0 Sep 16 16:02 a
> -rw-r--r-- 1 hooked se 0 Sep 16 16:02 b
> -rw-r--r-- 1 hooked se 0 Sep 16 16:02 c
> When I type emacs * it opens all three files but it puts me in the middle of
> the buffer chain. For example when I run it, I start off at c and NextBuffer
> takes me along the chain
> 
> c -> b -> *Messages* -> *scratch* -> a ->
> This is really, really annoying. I'd like to open up emacs and have the order
> be any of the permutations
> 
> c -> b -> a -> *Messages* -> *scratch* -> 
> b -> a -> c -> *Messages* -> *scratch* -> 
> a -> b -> c -> *Messages* -> *scratch* -> 
> 
> This behavior is the most natural one IMHO (user @Stefan agrees). This is a
> feature request to make this the default behavior.

Is the feature request to produce the above buffer order only once,
upon entry to Emacs in this scenario, or is it more general,
i.e. should hold at any arbitrary point in time during the Emacs
session?  If the latter, please define the desired buffer order more
generally, since I'm guessing *scratch* and *Messages* are not the
only buffers you dislike.

In any case, the latter possibility is much harder to accomplish; the
former is relatively easy, but I question its usefulness, given that
it's limited to the initial entry.